Bug Hunting Session
Bug 51034 - FILEOPEN: # in hyperlink causes text following hyperlink to not be visible
Summary: FILEOPEN: # in hyperlink causes text following hyperlink to not be visible
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: Other All
: medium major
Assignee: Miklos Vajna
URL:
Whiteboard: BSA target:3.7.0 target:3.6.1
Keywords: regression
: 52175 (view as bug list)
Depends on:
Blocks: DOCX Hyperlink mab3.5
  Show dependency treegraph
 
Reported: 2012-06-13 06:05 UTC by S K
Modified: 2017-05-14 05:13 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
produces corrupt docx file (9.69 KB, application/vnd.oasis.opendocument.text)
2012-06-13 06:05 UTC, S K
Details
corrupted docx file produced by lowriter (3.53 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2012-06-13 06:07 UTC, S K
Details
existing docx produces corrupt docx on save (12.99 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2012-08-28 13:53 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description S K 2012-06-13 06:05:55 UTC
Created attachment 62962 [details]
produces corrupt docx file

Problem description: 
If character # is contained in the hyperlink, saving the file to docx corrupts the whole file.

Steps to reproduce:
1. open lowriter
2. write: www.google.com/#a
3. press enter -> this produces hyperlink
4. save as DOCX
5. docx file cannot be opened with msoffice, calligraoffice ...
6. if we open the docx file the text after the link is not visible

with ODT everything works. 

              
Browser: Mozilla/5.0 (X11; Linux i686; rv:13.0) Gecko/20100101 Firefox/13.0

Example of xml from docx:
<w:r><w:instrText> HYPERLINK &quot;http://Www.google.com/&quot; \l &quot;a&quot;</w:instrText></w:r><w:r><w:fldChar w:fldCharType="separate"/></w:r><w:r><w:rPr><w:rStyle w:val="style15"/></w:rPr><w:t>Www.google.com/#a</w:t></w:r><w:r><w:fldChar w:fldCharType="end"/></w:r></w:hyperlink></w:p>
Comment 1 S K 2012-06-13 06:07:08 UTC
Created attachment 62963 [details]
corrupted docx file produced by lowriter
Comment 2 S K 2012-06-13 06:11:20 UTC
Same problem with lowriter 3.6 beta 1
Comment 3 bfoman (inactive) 2012-06-21 04:29:37 UTC
Confirmed with:
LO 3.5.4.2 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Saved file could not be opened in Word 2010. Reopening in LO shows www.google.com/# instead of www.google.com/#a.
Comment 4 Rainer Bielefeld Retired 2012-07-17 06:35:14 UTC
*** Bug 52175 has been marked as a duplicate of this bug. ***
Comment 5 Rainer Bielefeld Retired 2012-07-17 06:54:01 UTC
Reproducible!

For details please see "Bug 52175 has been marked as a duplicate of this bug"

Still  [Reproducible] with parallel installation of Master "LOdev " 3.7.0.0.alpha0+   - WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 25608fb]" (tinderbox: 2008R2@20, pull time 2012-07-14 00:31:17)

Already [Reproducible] with "LibreOffice 3.5.1.2 German UI/Locale [Build-ID: dc9775d-05ecbee-0851ad3-1586698-727bf66] on German WIN7 Home Premium (64bit) (no more early 3.5 tested)

Worked fine with "LibreOffice 3.3.3  German UI/Locale [OOO330m19 (Build:301) tag libreoffice-3.3.3.1] on German WIN7 Home Premium (64bit),

Worked fine with "LibreOffice 3.4.5 German UI [Build ID: OOO340m1 (Build:502)]" parallel Server installation on German WIN7 Home Premium (64bit) 

 so REGRESSION

May be bibisecting can help to narrow down appearance of the bug?

@Michael:
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug
Comment 6 Miklos Vajna 2012-08-02 08:27:34 UTC
FWIW, this is not a regression at all AFAICS -- I can reproduce the bug with 3.4 without issues. Anyway, it seems the exporter is just fine, this will be a docx import bug, I'm looking into it.
Comment 7 Not Assigned 2012-08-02 09:01:20 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9c53a7f94f3bdcb694498db335a01af25257853a

fdo#51034 fix docx import of HYPERLINK field, l param
Comment 8 Not Assigned 2012-08-02 09:01:38 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6ff70708b4a39011a61aa0f53541eb7eec09c813

fdo#51034 testcase
Comment 9 Not Assigned 2012-08-02 20:39:16 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cadbe56429244c300d01b0abad8f66077cf40e7c&g=libreoffice-3-6

fdo#51034 fix docx import of HYPERLINK field, l param


It will be available in LibreOffice 3.6.1.
Comment 10 Miklos Vajna 2012-08-03 06:56:01 UTC
Fixed in master and -3-6, requested -3-5 backport as well. Marking as resolved.
Comment 11 Timur 2012-08-28 13:53:59 UTC
Created attachment 66225 [details]
existing docx produces corrupt docx on save

I'm using LO 3.6.1 RC2 on Windows 7 64-bit. 
This bug is still happening although it's listed as resolved in http://wiki.documentfoundation.org/Releases/3.6.1/RC1. 
I experienced this bug with the existing .docx document that had hyperlinks with #.
Comment 12 Rainer Bielefeld Retired 2012-08-29 14:33:06 UTC
The original Bug has been fixed (you can test with "produces corrupt docx file". but indeed, there is a very similar bug with very similar symptoms.
due to <https://wiki.documentfoundation.org/BugReport_Details#How_to_reopen_Bugs> I created a new "Bug 54214 - FILESAVE: # in hyperlink corrupts .docx (OOXML) document" for the newly discovered problem.

@Timur:
Thank you for your attention!
Comment 13 Rainer Bielefeld Retired 2012-08-29 14:33:59 UTC
Fix for original bug Verified with  "LibreOffice 3.6.1.2  German UI/Locale [Build-ID:  e29a214] on German WIN7 Home Premium (64bit)
Comment 14 Robinson Tryon (qubit) 2015-12-22 01:31:04 UTC Comment hidden (obsolete)